package com.bs.df.service;

import com.github.yulichang.base.MPJBaseService;
import com.bs.df.domain.DfBroker;

import java.util.List;

/**
 * 代理商经纪Service接口
 *
 * @author bs
 * @date 2024-04-06
 */
public interface IDfBrokerService extends MPJBaseService<DfBroker>{

    /**
     * 通过用户id获取相对应的代理商权限
     * @return 代理商权限
     */
    public List<Long> filterByUser();

    /**
     * 通过用户id获取相对应的代理商权限
     * @return 代理商权限
     */
    public List<Long> filterByUserId(Long userId);

    /**
     * 通过代理商id获取相对应的子代理
     * @return 代理商权限
     */
    public List<DfBroker> findAllSubordinates(Long brokerId);

    /**
     * 通过用户id获取相对应的产品id
     * @return 产品id
     */
    public List<Long> getProductIdsByBrokerId();

    /**
     * 通过用户id获取相对应的产品id
     * @return 产品id
     */
    public List<Long> getProductIdsByBrokerIdByUserId(Long userId);


}
